<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:import href="page_Components.xsl" />
<xsl:param name="targetpath" select="'/home/superx/tmp/tt'"/>
<xsl:output method="html" name="html"/>
<xsl:template match="/">
<xsl:value-of select="$targetpath" /> 
<xsl:for-each select="/Document/chapter">
<xsl:variable name="topfile" select="concat($targetpath,'/TOP0_',@id,'.htm')"/>
Generiere <xsl:value-of select="$topfile"/><xsl:text>
</xsl:text>
<!--output method mit NAME text ist wichtig, damit sich result-document darauf beziehen kann
<xsl:result-document href="{$tabfile}" format="text">-->
<xsl:result-document href="{$topfile}" format="html"
method="html">






<html lang="de" dir="ltr">
<head>
<meta charset="utf-8" />
<title><xsl:value-of select="name"/></title>
<link rel="stylesheet" href="shared.css" media="screen" />
<link rel="stylesheet" href="main.css" media="screen" />
<link rel="stylesheet" href="BreadCrumbs.css" />
</head>
<body class="mediawiki ltr capitalize-all-nouns ns-0 ns-subject page-SuperX_BW_Leitfaden_Inhalt_Lehre_Studium skin-modern">

	<!-- heading -->
	<div id="mw_header"><h1 id="firstHeading"><xsl:value-of select="name"/></h1></div>

	<div id="mw_main">
	<div id="mw_contentwrapper">
	<!-- navigation portlet -->

	<div id="p-cactions" class="portlet">
		<h5>Ansichten</h5>
		<div class="pBody">
			<ul>
	
				 <li><p>.</p></li>
				 <li><p>.</p></li>
			</ul>
		</div>
	</div>
	</div>
	</div>

</body>
</html>



</xsl:result-document>
</xsl:for-each>

</xsl:template>



</xsl:stylesheet>