--drop table tmp_groupinfo;
create table tmp_groupinfo
  (
       tid integer,
    name char(25)
  );
insert into tmp_groupinfo(tid,name) values (1,'KB Bearbeiter');
insert into tmp_groupinfo(tid,name) values (2,'KB Lesezugriff');

delete from tmp_groupinfo where name in (select name from groupinfo);


create temp table tmp_hilf (tid integer);
insert into tmp_hilf select max(tid) from groupinfo;
update tmp_hilf set tid=0 where tid is null;

insert into groupinfo(tid ,name ) 
select H.tid+K.tid ,K.name  from tmp_groupinfo K, tmp_hilf H;


delete from group_sachgeb_bez where groupinfo_id in (
select G.tid from groupinfo G where G.name in ('KB Bearbeiter','KB Lesezugriff'));

insert into group_sachgeb_bez 
select G.tid,161 from groupinfo G where G.name in ('KB Bearbeiter')
;
insert into group_sachgeb_bez 
select G.tid,160 from groupinfo G where G.name in ('KB Lesezugriff')
;

--Sachgebiet 161=KB Bearbeiter

delete from group_sachgeb_bez where sachgebiete_id in (161);
insert into group_sachgeb_bez 
select G.tid,161 from groupinfo G where G.name in ('Administratoren','superx','KB Bearbeiter') ;

drop table tmp_groupinfo;


drop table tmp_hilf;

